---
title: 'Window: beforeprint event'
slug: Web/API/Window/beforeprint_event
tags:
  - Event
  - Reference
---
<div>{{APIRef}}</div>

<p>The <strong><code>beforeprint</code></strong> event is fired when the associated document is about to be printed or previewed for printing.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("WindowEventHandlers/onbeforeprint", "onbeforeprint")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js">window.addEventListener('beforeprint', (event) =&gt; {
  console.log('Before print');
});</pre>

<p>Using the <code>onbeforeprint</code> event handler property:</p>

<pre class="brush: js">window.onbeforeprint = (event) =&gt; {
  console.log('Before print');
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#event-beforeprint')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.beforeprint_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: {{domxref("Window/afterprint_event", "afterprint")}}</li>
</ul>
